CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap
RFLAGS = -32

TARGET = diyo.exe
OBJS   = path.obj dividing.obj editing.obj guide.obj leaf.obj sparse_euc.obj diyomain.obj 
RESFILES = diyoResource.res

ALL : $(TARGET)

path.obj: path.c
	$(CC) $(INCLUDE) -c path.c
dividing.obj: dividing.c
	$(CC) $(INCLUDE) -c dividing.c
diyomain.obj: diyoMain.c
	$(CC) $(CFLAGS) $(INCLUDE) -c diyoMain.c
diyoResource.res: diyoResource.rc
	$(RC) $(RFLAGS) diyoResource.rc
editing.obj: editing.c
	$(CC) $(INCLUDE) -c editing.c
guide.obj: guide.c
	$(CC) $(INCLUDE) -c guide.c
leaf.obj: leaf.c
	$(CC) $(INCLUDE) -c leaf.c
sparse_euc.obj: sparse_EUC.c
	$(CC) $(INCLUDE) -c sparse_EUC.c

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
	del *.res
