CC        = bcc32c
LINKER    = ilink32

INCLUDE = -I"C:\BCC102\include"
LIB     = -L"C:\BCC102\lib\win32c\debug"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = diyo.exe
OBJS   = path.obj dividing.obj editing.obj guide.obj leaf.obj sparse_euc.obj diyomain.obj 
RESFILES = diyoResource.res

ALL : $(TARGET)

path.obj: path.c
	$(CC) $(INCLUDE) -c path.c
dividing.obj: dividing.c
	$(CC) $(INCLUDE) -c dividing.c
diyomain.obj: diyoMain.c
	$(CC) $(CFLAGS) $(INCLUDE) -c diyoMain.c
editing.obj: editing.c
	$(CC) $(INCLUDE) -c editing.c
guide.obj: guide.c
	$(CC) $(INCLUDE) -c guide.c
leaf.obj: leaf.c
	$(CC) $(INCLUDE) -c leaf.c
sparse_euc.obj: sparse_EUC.c
	$(CC) $(INCLUDE) -c sparse_EUC.c

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
