#include "kanji_union.h"

void version_guide(double v, BOOL comments) {
    fprintf(stderr, "diyo C-%1.3f\n\n", v);

    if(comments) {
        fprintf(stderr, "diyo -f bars.txt     # Edit according to bars.txt \n");
        fprintf(stderr, "diyo -k -aN         #  is subsituted with N. \n"); // Shift_JIS
        fprintf(stderr, "diyo -k -aN file    #  is subsituted with N to produce a binary file. \n");
        fprintf(stderr, "diyo -s@ -eP       # @ is subsituted with P and represented in EUC-JP. \n");
        fprintf(stderr, "diyo -s@ -eP file  # @ is subsituted with P to produce a binary file. \n");
        fprintf(stderr, "diyo -s@ -eP -d    # Do not search a table. \n");
        fprintf(stderr, "diyo -s@ -eP -w    # -w shows which table diyo uses. \n");
        fprintf(stderr, "diyo -V              # version \n");
        fprintf(stderr, "diyo -VC             # version with comments \n");
    } else {
        fprintf(stderr, "diyo -f bars.txt     \n");
        fprintf(stderr, "diyo -k -aN         \n");
        fprintf(stderr, "diyo -k -aN file    \n");
        fprintf(stderr, "diyo -s@ -eP       \n");
        fprintf(stderr, "diyo -s@ -eP file  \n");
        fprintf(stderr, "diyo -s@ -eP -d    \n");
        fprintf(stderr, "diyo -s@ -eP -w    \n");
        fprintf(stderr, "diyo -V              \n");
        fprintf(stderr, "diyo -VC             \n");
    }

    exit(1);
}
